みんなの「教えて(疑問・質問)」にみんなで「答える」Q&Aコミュニティ

こんにちはゲストさん。会員登録(無料)して質問・回答してみよう!

解決済みの質問

GDライブラリについて

GDライブラリについて

PHPのプログラムを使ううえでGDライブラリというのをインストールする必要があるとの事で調べて見たのですが英語表記で書かれているため、まったくインストール方法に関して理解できず困っているところです。

何方かに、ご指導して頂けると助かるのですがお願いできないでしょうか?

よろしくお願いします。

投稿日時 - 2010-06-08 12:00:59

QNo.5953417

困ってます

質問者が選んだベストアンサー

> 今借りてるサーバー管理者に尋ねたところ過去に入れた記憶があります。

な、なんとも、アバウトな管理者で。。。^^;

GDがインストールされているかどうかは phpinfo() で見ることが出来ます。
http://php.net/manual/ja/function.phpinfo.php

この一行でOK.
<? phpinfo(); ?>

投稿日時 - 2010-06-09 13:45:58

補足

自力で解決しました。

投稿日時 - 2010-07-05 09:47:16

ANo.5

このQ&Aは役に立ちましたか?

11人が「このQ&Aが役に立った」と投票しています

回答(5)

ANo.4

OSくらいは書いたほうがよいのではー。
モノによってはコマンド1、2本でインストールできたりしますよ。

投稿日時 - 2010-06-08 21:59:25

ANo.3

> PHPのプログラムを使ううえでGDライブラリというのをインストールする必要がある
GDに関する関数を使わない限り必須というわけではありません。
画像の生成や、縮小拡大など、画像をいじるような用途がなければ、入っていなくても困ることはありません。

あと これはうろ覚えな話ですが、GDってPHPをインストールする時に configure で追加するもんじゃなかったでしたっけ?

投稿日時 - 2010-06-08 13:37:28

ANo.2

http://www.libgd.org/Downloads
上記URLから最新版は(2.0.35) です。

投稿日時 - 2010-06-08 13:02:59

ANo.1

レンタルサーバでしたらサーバ管理者に頼んでみましょう

投稿日時 - 2010-06-08 12:11:48

補足

今借りてるサーバー管理者に尋ねたところ過去に入れた記憶があります。
詳細についてはこちらで確認してください。
と何ともあいまいな返事が返って着ました。
しかし、それ程知識がないためGDライブラリがインストールされてるか下記を見ても確認できず困っています。

System Linux w1.oroti.org 2.6.11-1.1369_FC4 #1 Thu Jun 2 22:55:56 EDT 2005 i686
Build Date Jan 19 2007 18:56:30
Configure Command './configure' '--with-apxs2filter=/usr/sbin/apxs' '--enable-mbstring' '--enable-mbregex'
Server API Apache 2.0 Filter
Virtual Directory Support disabled
Configuration File (php.ini) Path /usr/local/lib/php.ini
PHP API 20020918
PHP Extension 20020429
Zend Extension 20050606
Debug Build no
Zend Memory Manager enabled
Thread Safety disabled
Registered PHP Streams php, http, ftp

投稿日時 - 2010-06-09 10:49:20

あなたにオススメの質問